<?php

use App\Http\Controllers\ClientPaymentMethodController;
use Illuminate\Support\Facades\Route;

Route::get('/client/payment-methods/{clientId}', [ClientPaymentMethodController::class, 'index'])->middleware('permission:config.client_payment_method,view');
Route::get('/client/payment-method/{id}',        [ClientPaymentMethodController::class, 'show'])->middleware('permission:config.client_payment_method,view');
Route::post('/client/payment-method',            [ClientPaymentMethodController::class, 'store'])->middleware('permission:config.client_payment_method,add');
Route::put('/client/payment-method/{id}',        [ClientPaymentMethodController::class, 'update'])->middleware('permission:config.client_payment_method,edit');
Route::delete('/client/payment-method/{id}',     [ClientPaymentMethodController::class, 'destroy'])->middleware('permission:config.client_payment_method,delete');
